SystemOrganization addCategory: #'TADP TP1'!

Trait named: #TraitFiltro
	uses: {}
	category: 'TADP TP1'!

Trait named: #TraitRecorrerAgenda
	uses: {}
	category: 'TADP TP1'!

!TraitRecorrerAgenda methodsFor: 'printing' stamp: 'MartinPrete 4/19/2012 02:10'!
recorrerAgenda: anAgenda enDia: unaFecha
	^ anAgenda eventosEnLaFecha: unaFecha.
	
	"No se de que va el Trait, pero si se quiere revisar si es Nil se tiene que agregar "
	"eventosAux ifNotNil: [^eventosAux]  ifNil: [OrderedCollection new]."

	"Dejo comentado el timesRepeat por una forma mas objetosa..."
	"
	| i  unEvento eventosAux |
	eventosAux := Collection new.
	i = 0.
	(anAgenda eventos size) timesRepeat:
	[
		anAgenda eventos elementAt: i .
		unEvento fecha == unaFecha
		ifTrue: [eventosAux add: unEvento].
		i = i +1.
	].
	^eventosAux
	"! !

Object subclass: #Agenda
	instanceVariableNames: 'eventos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

!Agenda methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 01:36'!
agregarEvento:unEvento
	eventos add: unEvento.
	eventos sort.! !

!Agenda methodsFor: 'accessing' stamp: 'MartinPrete 4/6/2012 15:21'!
eventos
	^ eventos! !

!Agenda methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 01:28'!
eventos: anObject
	eventos := anObject.
	"eventos sort."! !

!Agenda methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 02:05'!
eventosEnLaFecha:unaFecha
	^eventos select:[:unEvento | unEvento fecha = unaFecha ]! !

!Agenda methodsFor: 'as yet unclassified' stamp: 'MartinPrete 4/6/2012 15:22'!
initialize 
	eventos:= OrderedCollection new.! !

!Agenda methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 16:09'!
tieneTiempoLibreParaElEvento:unEvento
	^ unEvento seSuperPoneConAlgunOtroEvento: (self eventos).! !

Object subclass: #Edificio
	instanceVariableNames: 'nombre'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

!Edificio methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 17:02'!
nombre
	^ nombre! !

!Edificio methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 17:02'!
nombre: anObject
	nombre := anObject! !

Object subclass: #Empresa
	instanceVariableNames: 'edificios herramientas personas proyectos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

!Empresa methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/16/2012 00:46'!
agregarPersona: aPersona 
	self personas add: aPersona.! !

!Empresa methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/16/2012 00:39'!
agregarProyecto: unProyecto 
	(self proyectos) add: unProyecto.! !

!Empresa methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/17/2012 00:23'!
buscarPersonasRequeridas: filtros
	^filtros do: [:unFiltro | unFiltro buscarPersonaQueTeCumple: personas].! !

!Empresa methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/13/2012 21:13'!
edificios
	^ edificios! !

!Empresa methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/13/2012 21:13'!
edificios: anObject
	edificios := anObject! !

!Empresa methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/13/2012 21:13'!
herramientas
	^ herramientas! !

!Empresa methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/13/2012 21:13'!
herramientas: anObject
	herramientas := anObject! !

!Empresa methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:38'!
initialize 
	personas:= OrderedCollection new.
	herramientas:= OrderedCollection new.
	proyectos:= OrderedCollection new.
	edificios:= OrderedCollection new.! !

!Empresa methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/13/2012 21:13'!
personas
	^ personas! !

!Empresa methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/13/2012 21:13'!
personas: anObject
	personas := anObject! !

!Empresa methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/13/2012 21:13'!
proyectos
	^ proyectos! !

!Empresa methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/13/2012 21:13'!
proyectos: anObject
	proyectos := anObject! !

Object subclass: #Evento
	instanceVariableNames: 'horaInicio horaFin fecha'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 15:27'!
<=otroEvento
	(self fecha == otroEvento fecha) ifTrue:[^(self horaInicio <= otroEvento horaInicio)]  
	ifFalse: [^(self fecha <= otroEvento fecha)].
	! !

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 00:43'!
fecha
	^ fecha! !

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 01:12'!
fecha: anObject
	fecha := anObject! !

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 15:51'!
fecha: fechaEvento horaInicio:horaInicioEvento horaFin:horaFinEvento
	self fecha: (Date readFrom: fechaEvento readStream).
	self horaInicio: (Time readFrom: horaInicioEvento readStream).
	self horaFin: (Time readFrom: horaFinEvento readStream).! !

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/6/2012 15:18'!
horaFin
	^ horaFin! !

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/6/2012 15:18'!
horaFin: anObject
	horaFin := anObject! !

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/6/2012 15:18'!
horaInicio
	^ horaInicio! !

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 01:12'!
horaInicio: anObject
	horaInicio := anObject! !

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 15:31'!
seSuperPoneCon:otroEvento
	(self == otroEvento) ifFalse:[ ^(((self horaInicio > otroEvento horaFin) | (self horaFin < otroEvento horaInicio)) not)]
	ifTrue: [^false] ! !

!Evento methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 15:29'!
seSuperPoneConAlgunOtroEvento:unaColeccionDeEventos
	^ unaColeccionDeEventos anySatisfy: [:unEvento | unEvento seSuperPoneCon: self].
! !

Object subclass: #FiltroNombre
	uses: TraitFiltro
	instanceVariableNames: 'nombre'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

FiltroNombre class
	uses: TraitFiltro classTrait
	instanceVariableNames: ''!

!FiltroNombre methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/16/2012 01:24'!
esCumplidoPor: aPersona 
	^nombre = (aPersona nombre).! !

!FiltroNombre methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:43'!
nombre
	^ nombre! !

!FiltroNombre methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:43'!
nombre: anObject
	nombre := anObject! !

Object subclass: #FiltroPersona
	instanceVariableNames: 'filtros personaQueCumple'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

!FiltroPersona methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/16/2012 00:49'!
agregarFiltro: unFiltro
	(self filtros) add: unFiltro.! !

!FiltroPersona methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/17/2012 00:28'!
buscarPersonaQueTeCumple: personas
	|personasQueCumplen|
	personasQueCumplen := personas select: [:unaPersona | unaPersona pasasElFiltro: self].
	(personasQueCumplen) size > 0 ifTrue: [ self personaQueCumple: (personasQueCumplen first) ]
									ifFalse: [ self personaQueCumple: nil ].! !

!FiltroPersona methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:44'!
filtros
	^ filtros! !

!FiltroPersona methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:44'!
filtros: anObject
	filtros := anObject! !

!FiltroPersona methodsFor: 'accessing' stamp: 'Gustavo 4/17/2012 00:29'!
initialize
	filtros:= OrderedCollection new.
	persona:= nil.! !

!FiltroPersona methodsFor: 'accessing' stamp: 'Gustavo 4/17/2012 00:39'!
personaQueCumple
	^ personaQueCumple! !

!FiltroPersona methodsFor: 'accessing' stamp: 'Gustavo 4/17/2012 00:39'!
personaQueCumple: anObject
	personaQueCumple := anObject! !

Object subclass: #FiltroProyecto
	uses: TraitFiltro
	instanceVariableNames: 'proyecto'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

FiltroProyecto class
	uses: TraitFiltro classTrait
	instanceVariableNames: ''!

!FiltroProyecto methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/16/2012 01:25'!
esCumplidoPor: aPersona 
	^aPersona trabajasEnElProyecto: proyecto.! !

!FiltroProyecto methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:44'!
proyecto
	^ proyecto! !

!FiltroProyecto methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:44'!
proyecto: anObject
	proyecto := anObject! !

Object subclass: #FiltroRol
	uses: TraitFiltro
	instanceVariableNames: 'rol'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

FiltroRol class
	uses: TraitFiltro classTrait
	instanceVariableNames: ''!

!FiltroRol methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/16/2012 01:31'!
esCumplidoPor: aPersona 
	^rol = (aPersona rol).! !

!FiltroRol methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:48'!
rol
	^ rol! !

!FiltroRol methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:48'!
rol: anObject
	rol := anObject! !

Object subclass: #FiltroSector
	uses: TraitFiltro
	instanceVariableNames: 'sector'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

FiltroSector class
	uses: TraitFiltro classTrait
	instanceVariableNames: ''!

!FiltroSector methodsFor: 'as yet unclassified' stamp: 'Anonymous 4/16/2012 23:08'!
esCumplidoPor: aPersona 
	^sector = (aPersona sector).! !

!FiltroSector methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:44'!
sector
	^ sector! !

!FiltroSector methodsFor: 'accessing' stamp: 'Gustavo 4/16/2012 00:44'!
sector: anObject
	sector := anObject! !

Object subclass: #Herramienta
	uses: TraitRecorrerAgenda
	instanceVariableNames: 'costo agenda'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

Herramienta class
	uses: TraitRecorrerAgenda classTrait
	instanceVariableNames: ''!

!Herramienta methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/16/2012 23:13'!
agenda
	^ agenda! !

!Herramienta methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/16/2012 23:13'!
agenda: anObject
	agenda := anObject! !

!Herramienta methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 19:02'!
costo
	^ costo! !

!Herramienta methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 19:02'!
costo: anObject
	costo := anObject! !

!Herramienta methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/16/2012 23:22'!
initialize
	agenda := Agenda new.
	! !

Herramienta subclass: #RecursoLimitado
	instanceVariableNames: 'nombre cantidadTotal'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

!RecursoLimitado methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/16/2012 23:25'!
cantidad
	^ cantidad! !

!RecursoLimitado methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/16/2012 23:25'!
cantidad: anObject
	cantidad := anObject! !

!RecursoLimitado methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/16/2012 23:25'!
nombre
	^ nombre! !

!RecursoLimitado methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/16/2012 23:25'!
nombre: anObject
	nombre := anObject! !

Herramienta subclass: #Sala
	instanceVariableNames: 'nombre edificioEnElQueSeEncuentra'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

!Sala methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 17:03'!
edificioEnElQueSeEncuentra
	^ edificioEnElQueSeEncuentra! !

!Sala methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 17:03'!
edificioEnElQueSeEncuentra: anObject
	edificioEnElQueSeEncuentra := anObject! !

!Sala methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 14:05'!
nombre
	^ nombre! !

!Sala methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 14:05'!
nombre: anObject
	nombre := anObject! !

Object subclass: #Persona
	uses: TraitRecorrerAgenda
	instanceVariableNames: 'nombre horaEntrada horaSalida proyectoAlQueEstaAsignado sector rol edificioEnElQueTrabaja valorPorHoraDeTrabajo agenda'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

Persona class
	uses: TraitRecorrerAgenda classTrait
	instanceVariableNames: ''!

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/6/2012 15:19'!
agenda
	^ agenda! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/6/2012 15:19'!
agenda: anObject
	agenda := anObject! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/6/2012 15:32'!
agendarReunion: unaReunion
	agenda agregarEventoElDia: unaReunion dia desdeLas: unaReunion horaInicio hastaLas: unaReunion horaFin.! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
edificioEnElQueTrabaja
	^ edificioEnElQueTrabaja! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
edificioEnElQueTrabaja: anObject
	edificioEnElQueTrabaja := anObject! !

!Persona methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/18/2012 22:11'!
horaEntrada
	^ horaEntrada! !

!Persona methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/18/2012 22:11'!
horaEntrada: anObject
	horaEntrada := anObject! !

!Persona methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/18/2012 22:11'!
horaSalida
	^ horaSalida! !

!Persona methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/18/2012 22:11'!
horaSalida: anObject
	horaSalida := anObject! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/6/2012 15:22'!
initialize 
	agenda := Agenda new.! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
nombre
	^ nombre! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
nombre: anObject
	nombre := anObject! !

!Persona methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/16/2012 23:29'!
pasasElFiltro: unFiltro 
	^unFiltro filtros allSatisfy: [:filtro | filtro esCumplidoPor: self].
! !

!Persona methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/16/2012 00:27'!
proyecto
	^ proyecto! !

!Persona methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/16/2012 00:27'!
proyecto: anObject
	proyecto := anObject! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
proyectoAlQueEstaAsignado
	^ proyectoAlQueEstaAsignado! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
proyectoAlQueEstaAsignado: anObject
	proyectoAlQueEstaAsignado := anObject! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
rol
	^ rol! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
rol: anObject
	rol := anObject! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
sector
	^ sector! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
sector: anObject
	sector := anObject! !

!Persona methodsFor: 'as yet unclassified' stamp: 'Gustavo 4/16/2012 01:30'!
trabajasEnElProyecto: nombreProyecto 
	^(proyectoAlQueEstaAsignado nombre) = nombreProyecto.! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
valorPorHoraDeTrabajo
	^ valorPorHoraDeTrabajo! !

!Persona methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 17:44'!
valorPorHoraDeTrabajo: anObject
	valorPorHoraDeTrabajo := anObject! !

Object subclass: #Proyecto
	instanceVariableNames: 'nombre costo personas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

!Proyecto methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 18:45'!
agregarPersona: unaPersona
	unaPersona proyectoAlQueEstaAsignado: self.
	personas add: unaPersona.! !

!Proyecto methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 19:02'!
costo
	^ costo! !

!Proyecto methodsFor: 'accessing' stamp: 'GustavoGarayalde 4/16/2012 00:27'!
costo: anObject
	costo := anObject! !

!Proyecto methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 20:07'!
imputarCosto: unCosto
	costo := (costo+unCosto).! !

!Proyecto methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 18:27'!
initialize 
	costo := 0.
	personas := OrderedCollection new.! !

!Proyecto methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 20:04'!
nombre
	^ nombre! !

!Proyecto methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 20:04'!
nombre: anObject
	nombre := anObject! !

!Proyecto methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 20:01'!
personas
	^ personas! !

!Proyecto methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 20:01'!
personas: anObject
	personas := anObject! !

Object subclass: #Reunion
	instanceVariableNames: 'nombre personaQueLaConvoca sala herramientas requiereCatering personas proyectoQueLaRequirio horaInicio horaFin fecha duracion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TADP TP1'!

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 19:00'!
agregarHerramienta: unaHerramienta
	herramientas add: unaHerramienta! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:04'!
calcularCosto
	|personasDeOtrosProyectos|
	personasDeOtrosProyectos := personas select: [:unaPersona | unaPersona proyectoAlQueEstaAsignado ~= proyectoQueLaRequirio].
	
	"Imputa el costo de las Herramietas (Proyector, Laptop, etc...)"
	herramientas ifNotNil: 
		[herramientas do:[ :unaHerramienta | proyectoQueLaRequirio imputarCosto: unaHerramienta costo]].

	"Imputa el costo de la sala"
	proyectoQueLaRequirio imputarCosto: sala costo.

	"Imputa el costo del transporte"
	proyectoQueLaRequirio imputarCosto: ((personasDeOtrosProyectos select:[:unaPersona | unaPersona edificioEnElQueTrabaja ~= sala edificioEnElQueSeEncuentra]) size). "* ... definir Costo de Transporte"

	"Imputa el costo de las personas que asisten"
	personasDeOtrosProyectos do:[ :unaPersona | proyectoQueLaRequirio imputarCosto: (unaPersona valorPorHoraDeTrabajo "* ...definir duracion Reunion")].
		! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 01:16'!
duracion

	^ duracion! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 01:16'!
duracion: anObject

	duracion := anObject! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:22'!
fecha
	^ fecha! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:22'!
fecha: anObject
	fecha := anObject! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 19:22'!
herramientas
	^ herramientas! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 19:22'!
herramientas: anObject
	herramientas := anObject! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 01:14'!
horaFin
	^horaFin.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 01:15'!
horaFin: unaHora
	horaFin:= unaHora.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/6/2012 15:17'!
horaInicio
	^ horaInicio! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/19/2012 01:15'!
horaInicio: unaHora
	horaInicio:= unaHora.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 18:14'!
horarioEnElQuePuedeRealizarse
  ^ 'asdasdas'! !

!Reunion methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/18/2012 18:36'!
initialize 
	requiereCatering :=false.
	personas := OrderedCollection new.
	herramientas:= OrderedCollection new.
	self fecha: Date today.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 18:14'!
nombre
	^ nombre! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 18:14'!
nombre: anObject
	nombre := anObject! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 20:41'!
personaQueLaConvoca
	^ personaQueLaConvoca! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 20:47'!
personaQueLaConvoca: unaPersona
	personaQueLaConvoca := unaPersona.
	self proyectoQueLaRequirio: unaPersona proyectoAlQueEstaAsignado.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:03'!
personas
	^ personas! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:03'!
personas: anObject
	personas := anObject! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/5/2012 20:42'!
proyectoQueLaRequirio
	^ personaQueLaConvoca proyectoAlQueEstaAsignado ! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 18:19'!
proyectoQueLaRequirio: anObject
	proyectoQueLaRequirio := anObject! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:15'!
requiereCatering
	^ requiereCatering | (personas anySatisfy:[:unaPersona | (unaPersona rol = 'Gerente') | (unaPersona rol = 'Project Leader') ]).! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 18:14'!
requiereCatering: anObject
	requiereCatering := anObject! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:15'!
requiereCualquierPersonaDelProyecto: unProyecto
	personas add: unProyecto personas first! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:12'!
requierePersonaLlamada:unNombre coElRol:unRol delProyecto:unProyecto
	|personasQueCumplenConRequisitos|.
	personasQueCumplenConRequisitos := unProyecto personas select:[:unaPersona | 
		unaPersona rol = unRol 
		& unaPersona nombre = unNombre].
	personas add: personasQueCumplenConRequisitos first.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:12'!
requierePersonaLlamada:unNombre coElRol:unRol delSector: unSector delProyecto:unProyecto
		|personasQueCumplenConRequisitos|.	
		personasQueCumplenConRequisitos:=  unProyecto personas	select: [:unaPersona | 
			unaPersona rol = unRol
			& unaPersona nombre = unNombre 
			& unaPersona sector= unSector].			
		personas add: personasQueCumplenConRequisitos first.! !

!Reunion methodsFor: 'accessing' stamp: 'ArielCapozzoli 4/16/2012 23:27'!
requierePersonaLlamada:unNombre conElRol:unRol delProyecto:unProyecto
	|personasQueCumplenConRequisitos|.
	personasQueCumplenConRequisitos := unProyecto personas select:[:unaPersona | 
		unaPersona rol = unRol 
		& unaPersona nombre = unNombre].
	personas add: personasQueCumplenConRequisitos first.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:11'!
requierePersonaLlamada:unNombre delProyecto:unProyecto
	|personasQueCumplenConRequisitos|.	
	personasQueCumplenConRequisitos:=  unProyecto personas	select: [:unaPersona | unaPersona nombre = unNombre].
	personas add: personasQueCumplenConRequisitos first.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:13'!
requierePersonaLlamada:unNombre delSector:unSector delProyecto:unProyecto
		|personasQueCumplenConRequisitos|.	
		personasQueCumplenConRequisitos:=  unProyecto personas	select: [ :unaPersona | 
				unaPersona sector = unSector
				& unaPersona nombre = unNombre].
	personas add: personasQueCumplenConRequisitos first.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/14/2012 16:14'!
requiereRol:unRol delProyecto:unProyecto
	|personasQueCumplenConRequisitos|.	
	personasQueCumplenConRequisitos:=  unProyecto personas	select: [:unaPersona | unaPersona rol = unRol].
	personas add: personasQueCumplenConRequisitos first.! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 19:51'!
sala
	^ sala! !

!Reunion methodsFor: 'accessing' stamp: 'MartinPrete 4/4/2012 19:51'!
sala: anObject
	sala := anObject! !
